# bitwardenrs

Custom image for BitwardenRS password manager

[![Build Status](https://img.shields.io/drone/build/docker/bitwardenrs?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/docker/bitwardenrs)
[![Docker Hub](https://img.shields.io/badge/dockerhub-latest-blue.svg?logo=docker&logoColor=white)](https://hub.docker.com/r/thegeeklab/bitwardenrs)
[![Quay.io](https://img.shields.io/badge/quay-latest-blue.svg?logo=docker&logoColor=white)](https://quay.io/repository/thegeeklab/bitwardenrs)
[![Source: Gitea](https://img.shields.io/badge/source-gitea-blue.svg?logo=gitea&logoColor=white)](https://gitea.rknet.org/docker/bitwardenrs)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/docker/bitwardenrs/src/branch/main/LICENSE)

This is a rootless custom Docker image for [bitwarden_rs](https://github.com/dani-garcia/bitwarden_rs). Bitwarden_rs is a Bitwarden server API implementation written in Rust compatible with upstream Bitwarden clients, perfect for self-hosted deployment where running the official resource-heavy service might not be ideal.

> **WARNING**: This build supports SQLite and PostgreSQL database backend only.

## Usage

### Docker Compose

Please take a look at the [example](https://gitea.rknet.org/docker/bitwardenrs/src/branch/main/docker-compose.yml) compose file from the git repo.

## Configuration

```Shell
BITWARDENRS_DATABASE_URL=

BITWARDENRS_TEMPLATES_FOLDER=
BITWARDENRS_RELOAD_TEMPLATES=False

BITWARDENRS_IP_HEADER=X-Client-IP

BITWARDENRS_ICON_CACHE_TTL=2592000
BITWARDENRS_ICON_CACHE_NEGTTL=259200

BITWARDENRS_WEB_VAULT_ENABLED=True
BITWARDENRS_WEBSOCKET_ENABLED=False

BITWARDENRS_EXTENDED_LOGGING=True
BITWARDENRS_LOG_LEVEL=Info

BITWARDENRS_DISABLE_ICON_DOWNLOAD=False
BITWARDENRS_ICON_DOWNLOAD_TIMEOUT=10
BITWARDENRS_ICON_BLACKLIST_REGEXL=
BITWARDENRS_ICON_BLACKLIST_NON_GLOBAL_IPS=True

BITWARDENRS_DISABLE_2FA_REMEMBER=False
BITWARDENRS_SIGNUPS_ALLOWED=True
BITWARDENRS_SIGNUPS_VERIFY=False
BITWARDENRS_SIGNUPS_VERIFY_RESEND_TIME=3600
BITWARDENRS_SIGNUPS_VERIFY_RESEND_LIMIT=6
BITWARDENRS_SIGNUPS_DOMAINS_WHITELIST=

BITWARDENRS_INVITATIONS_ALLOWED=True

# Set an indicidual admin token to enable the admin UI
BITWARDENRS_ADMIN_TOKEN=

BITWARDENRS_PASSWORD_ITERATIONS=100000
BITWARDENRS_SHOW_PASSWORD_HINT=True
BITWARDENRS_DOMAIN=http://localhost/

BITWARDENRS_AUTHENTICATOR_DISABLE_TIME_DRIFT=False

# If you dont set a smtp host, all other smpt settings will be ignored
BITWARDENRS_SMTP_HOST=
BITWARDENRS_SMTP_FROM=
BITWARDENRS_SMTP_FROM_NAME=Bitwarden_RS
BITWARDENRS_SMTP_PORT=587
BITWARDENRS_SMTP_SSL=True
BITWARDENRS_SMTP_USERNAME=
BITWARDENRS_SMTP_PASSWORD=
BITWARDENRS_SMTP_AUTH_MECHANISM=Plain
BITWARDENRS_SMTP_TIMEOUT=15

BITWARDENRS_ROCKET_WORKERS=
```

## License

This project is licensed under the MIT License - see the [LICENSE](https://gitea.rknet.org/docker/bitwardenrs/src/branch/main/LICENSE) file for details.
